# -*- coding: UTF-8 -*-
from setuphelpers import *

def update_package():
    print("Download/Update package content from upstream binary sources")

    # Initializing variables
    proxies = get_proxies()
    if not proxies:
        proxies = get_proxies_from_wapt_console()

    latest = wget(
        "https://www.googleapis.com/download/storage/v1/b/chromium-browser-snapshots/o/Mac%2FLAST_CHANGE?alt=media", "latest.txt", proxies=proxies
    )
    latest_file = open(latest, "r")
    latest_commit = latest_file.read()

    for file_exe in glob.glob("*mac.zip"):
        remove_file(file_exe)

    wget(f"https://www.googleapis.com/download/storage/v1/b/chromium-browser-snapshots/o/Mac%2F" + latest_commit + "%2Fchrome-mac.zip?alt=media",
        "chrome-mac.zip",
        proxies=proxies,
    )

    # Changing version of the package
    url_version = "https://chromium.woolyss.com/"
    for bs_search in bs_find_all(url_version, "div", "id", "mac-dev-official", proxies=proxies):
        version = bs_search.findChild('small').text.split(' ', 1)[0]
        break

    latest_file.close()
    remove_file(r"latest.txt")

    control.set_software_version(version)
    control.save_control_to_wapt()
